#
# spec file for package python3-ws4py
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-ws4py
Version:        0.3.4
Release:        6.2
Summary:        WebSocket for Python
License:        BSD-2-Clause
Group:          Development/Languages/Python
Url:            https://github.com/Lawouach/WebSocket-for-Python/
Source0:        https://pypi.python.org/packages/source/w/ws4py/ws4py-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Python library providing an implementation of the WebSocket protocol
defined in RFC 6455.

%prep
%setup -q -n ws4py-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --skip-build --root=%{buildroot} --prefix=%{_prefix}

%files
%defattr(-, root, root, 0755)
%{python3_sitelib}/*

%changelog
* Mon Nov  3 2014 andrea@opensuse.org
- Fixed License Tag
* Tue Apr  1 2014 andrea@opensuse.org
- new package
